/**
 * 客户信息
 * */
$(document).ready(function() {
	 var wid = helper.request.queryString("wid");
	  DQ($("#customer_comaddress")); //大区  
	  LY($("#source"));
	  LB($("#type"));
	  ZT($("#keyid"));
	  XX($('#input_area'));
	//初始化时间
	laydate.render({
		elem: '#sc_time',
		range: '~',
		theme: '#1ab394',
		calendar: true
	});

	//获取所属行业
	// helper.getDropList.getlistDropByDic($('#sc_subtrade'), 'KHSSHY');

	//获取客户信誉等级
	// helper.getDropList.getlistDropByDic($('#sc_layer'), 'KHLayer');
	
	// if($.cookie("userRoleId") == '17' || $.cookie("userRoleId") == '57' ){
	// 	$('.hide_btn').show();
	// }
	initTable();
	// $("#sc_btns").on('click',initTable);
	$('#btn_add').on('click', btn_add);
	$("#sc_btns").click(function() {
		initTable();
	});
});

//客户信息的列表
function initTable() {
	//先销毁表格
	$('#cusList').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#cusList").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "CustomerNew/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber, //int 页码，默认为1	
				pagesize: params.pageSize, //int 条数，默认为10
				code: $('#sc_subtrade').val(),//string 关键词
				cmpname: $('#sc_layer').val(),//大区
				areaid: $('#customer_comaddress').val(),//分公司
				province: $('#source').val(),//省
				city: $('#type').val(), //市
				country: $('#keyid').val(),//县
				township: $('#input_area').val(),//乡镇
				country: $('#sc_cmpname').val(),//乡
				// code: $('#sc_code').val(),//string 客户编号
				// cmpname: $('#sc_cmpname').val(),//string 公司名称
				// cmpaddress: $('#sc_compaddress').val(),//string 公司地址
				// legname: $('#sc_legname').val(),//string 法人姓名
				// legtel: $('#sc_legtel').val(),//string 法人电话
				// subtrade: $('#sc_subtrade').val(),//string 所属行业
				// layer: $('#sc_layer').val(),//string 客户信誉等级	
				// bedept: $('#sc_bedept').val(),//string 客户归属部门
				// berelacc: $('#sc_berelacc').val(),//string 归属涉税会计
				// beaudacc: $('#sc_beaudacc').val(),//string 归属办理会计
				// bemakeacc: $('#sc_bemakeacc').val(),//string 归属做账会计
				// conname: $('#sc_conname').val(),//string 联系人姓名
				// contel: $('#sc_contel').val(),//string 联系人电话
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			if($.cookie("userRoleId") == '17' || $.cookie("userRoleId") == '57' ){
				$('.hide_btn').show();
			}
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}



//大区下拉
 function DQ(obj) {
 		    obj.empty();
 		    obj.append('<option selected="selected" value="">请选择</option>');
 		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
 		        "token": $.cookie("token"),
 		        F_Layer: 1,
 		    }, function (data) {
 		        if (data.state.toLowerCase() == "success") {
 		            var content = data.data;
 		            $(content).each(function (i, n) {
 		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
 		            })
 		        }
 		    })
 		}
$('#customer_comaddress').on('change',function(){
 	 $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
 	    "token": $.cookie("token"),
 	    F_Layer: 2,
 		F_DeptName:$("#customer_comaddress").find("option:selected").text(),
 		
 	}, function (data) {
 	    if (data.state.toLowerCase() == "success") {
 	        var content = data.data;
			$("#sc_la").empty();
			$("#sc_la").append('<option selected="selected" value="">请选择</option>');
 	        $(content).each(function (i, n) {
 	            $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo("#sc_la");
 	        })
 	
 	    }
 	})
 });
 

//省
function LY(obj) {
            obj.empty();
            obj.append('<option selected="selected" value="">请选择</option>');
            $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
                "token": $.cookie("token"),
                F_Layer: 1,
            }, function (data) {
                if (data.state.toLowerCase() == "success") {
                    var content = data.data;                 
                    $(content).each(function (i, n) {
                        $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);                       
                    })
                }
            })
        }
        //市
        function LB(obj) {
            obj.empty();
            obj.append('<option selected="selected" value="">请选择</option>');
            $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
                "token": $.cookie("token"),
                F_Layer: 2,
            }, function (data) {
                if (data.state.toLowerCase() == "success") {
                    var content = data.data;
                    $(content).each(function (i, n) {
                        $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);					
                    })
                }
				
            })
        }
        //		县
        function ZT(obj) {
            obj.empty();
            obj.append('<option selected="selected" value="">请选择</option>');
            $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
                "token": $.cookie("token"),
                F_Layer: 3,
            }, function (data) {
                if (data.state.toLowerCase() == "success") {
                    var content = data.data;
                    $(content).each(function (i, n) {
                        $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
                    })
                }
            })
        }
		// 乡镇
		function XX(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
		        "token": $.cookie("token"),
		        F_Layer: 4,
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}




$('#source').on('change',function(){
	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
	    "token": $.cookie("token"),
	    F_Layer: 2,
		F_RegionName:$('#source').val(),
		
	}, function (data) {
	    if (data.state.toLowerCase() == "success") {
	        var content = data.data;

	        $(content).each(function (i, n) {
	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#type");
	        })
	
	    }
	})
});
$('#type').on('change',function(){
       	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
       	    "token": $.cookie("token"),
       	    F_Layer: 3,
       		F_RegionName:$('#type').val()			
       	}, function (data) {
       	    if (data.state.toLowerCase() == "success") {
       	        var content = data.data;
       	        $(content).each(function (i, n) {
       	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#keyid");			
       	        })	
       	    }
       	})
}); 
$('#keyid').on('change',function(){
       	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
       	    "token": $.cookie("token"),
       	    F_Layer: 4,
       		F_RegionName:$('#keyid').val()
       	}, function (data) {
       	    if (data.state.toLowerCase() == "success") {
       	        var content = data.data;
       	        $(content).each(function (i, n) {
       	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#input_area");
       	        })
       	    }
       	})
}); 


function formatterOprate(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_details_' + row.F_CustomerId + '" onclick="btn_details(\'' + row.F_CustomerId + '\')" title="详情">详情</a></li>' +
		'<li><a href="javascript:;" class="aBtn hide_btn" authorize="yes" id="HY_edit_' + row.F_CustomerId + '" onclick="btn_edit(\'' + row.F_CustomerId + '\')" title="修改">修改</a></li>' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_addCus_' + row.F_CustomerId + '" onclick="btn_addCus(\'' + row.F_CustomerId + '\')" title="添加联系人信息">添加</a></li>' +
		'<li><a href="javascript:;" class="aBtn hide_btn" authorize="yes" id="HY_delete_' + row.F_CustomerId + '" onclick="btn_delete(' + row.F_CustomerId + ')" title="删除">删除</a></li>' +
		'</ul>';
}



/**
 * 添加
 * */
function btn_add() {
	layer.open({
		type: 2,
		title: '添加客户信息',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: '../commonTpl/addOrEditCusInfo.html'
	});
}

/**
 * 修改
 * editId 客户id
 * */
function btn_edit(editId) {
	layer.open({
		type: 2,
		title: '修改客户信息',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: '../commonTpl/EdInforma.html?edit_id=' + editId
	});
}

/**
 * 详情
 * editId 客户id
 * */
function btn_details(editId) {
	layer.open({
		type: 2,
		title: '客户信息详情',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: '../commonTpl/cusDetails.html?edit_id=' + editId
	});
}

/**
 * 添加联系人信息
 * editId 客户id
 * */
function btn_addCus(editId) {
	layer.open({
		type: 2,
		title: '添加联系人信息',
		maxmin: true, //开启最大化最小化按钮
		area: ['60%', '70%'],
		content: '../commonTpl/addOrEditContacts.html?edit_id=' + editId
	});
}

//导入客户信息
function btn_export() {
	layer.open({
		maxmin: true, //开启最大化最小化按钮
		type: 2,
		content: "../commonTpl/importCustomers.html", //iframe的url，no代表不显示滚动条
		title: '导入客户信息',
		area: ['50%', '55%'], //宽高
	});
}


//批量删除
function btn_deletes() {
	var ids = $.map($('#cusList').bootstrapTable('getSelections'),
		function(row) {
			return row.F_CustomerId;
		});
	/*判断长度*/
	if (ids.length <= 0) {
		layer.confirm('请选择要删除的选项', {
			icon: 7,
			btn: ['确定'] //按钮
		});
		return;
	}
	btn_delete(ids);
}

//删除
function btn_delete(cid) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "CustomerNew/DelCustomer",
			dataType: 'json',
			async: true,
			data: {
				ids: cid,//客户Id，可多选[1,2,3]
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#cusList').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}
